Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 589602 - [abrt] crash in tracker-0.8.4-1.fc13: magazine_chain_pop_head: Process /usr/libexec/tracker-miner-fs was killed by signal 11 (SIGSEGV)
[abrt] crash in tracker-0.8.4-1.fc13: magazine_chain_pop_head: Process /usr/l...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:9d664742fb55284ccc0dbee8173...
:
: 573232 605691 636897 648802 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 10:26 EDT by Javier Alejandro Castro
Modified: 2011-06-27 12:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:08:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.99 KB, text/plain)
2010-05-06 10:26 EDT, Javier Alejandro Castro
no flags Details
The requested valgrind log file (158.02 KB, text/x-log)
2010-05-13 11:11 EDT, Javier Alejandro Castro
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 617941 None None None Never

  None (edit)
Description Javier Alejandro Castro 2010-05-06 10:26:34 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/tracker-miner-fs
component: tracker
crash_function: magazine_chain_pop_head
executable: /usr/libexec/tracker-miner-fs
global_uuid: 9d664742fb55284ccc0dbee8173a4ed0a5aa0b5b
kernel: 2.6.33.3-79.fc13.x86_64
package: tracker-0.8.4-1.fc13
rating: 3
reason: Process /usr/libexec/tracker-miner-fs was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
How to reproduce: Nothing special. But i know it was crawling a shared samba dir
Comment 1 Javier Alejandro Castro 2010-05-06 10:26:37 EDT
Created attachment 412071 [details]
File: backtrace
Comment 2 Deji Akingunola 2010-05-13 09:28:08 EDT
According to a upstream developer;

'At first glance it either looks to me like a memory corruption, or a GIO bug.
On the crashing thread there is nothing but GIO functions, and I find it quite
suspicious that it crashes on allocating memory (Usually a symptom of memory
corruption)'.
Can you run tracker-miner-fs under valgrind?

$ G_SLICE=always_malloc valgrind --leak-check=full --num-callers=30
--log-file=valgrind.log ./tracker-miner-fs -v 3

and report back with the valgrind.log file?
Comment 3 Javier Alejandro Castro 2010-05-13 09:31:36 EDT
This error never happened again. Anyway, do you want me to do that thing, even when tracker does not crash anymore?
Cause i dont see it is a always reproducible error.
Comment 4 Deji Akingunola 2010-05-13 09:39:05 EDT
(In reply to comment #3)
> This error never happened again. Anyway, do you want me to do that thing, even
> when tracker does not crash anymore?

Yes, please do.

> Cause i dont see it is a always reproducible error.
Comment 5 Javier Alejandro Castro 2010-05-13 11:11:42 EDT
Created attachment 413791 [details]
The requested valgrind log file

Here is the requested valgrind log file. I've run the miner-fs, when it finished i did Ctrl+C. Hope this helps!
Comment 6 Deji Akingunola 2010-06-18 11:21:55 EDT
*** Bug 605691 has been marked as a duplicate of this bug. ***
Comment 7 Karel Klíč 2010-11-08 11:56:30 EST
*** Bug 648802 has been marked as a duplicate of this bug. ***
Comment 8 Karel Klíč 2010-11-08 12:14:54 EST
*** Bug 573232 has been marked as a duplicate of this bug. ***
Comment 9 Karel Klíč 2010-11-09 09:53:48 EST
*** Bug 636897 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2011-06-02 10:24:52 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 12:08:35 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.